<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_80"
        android:background="@drawable/waybill_top_bg"
        android:gravity="bottom">

        <include layout="@layout/common_toolbar"></include>
    </RelativeLayout>

    <com.amap.api.maps2d.MapView
        android:id="@+id/mapView"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_200" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_m_36"
        android:layout_weight="1"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <View
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_10"
                android:background="@android:color/transparent" />
            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_marginRight="@dimen/dp_15"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/dp_8">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:padding="@dimen/dp_16">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运单号：DJHS15541125541"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_15" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:text="待卸货"
                        android:textColor="@color/main_red"
                        android:textSize="@dimen/sp_15" />

                    <ImageView
                        android:id="@+id/ivHead"
                        android:layout_width="@dimen/dp_42"
                        android:layout_height="@dimen/dp_42"
                        android:layout_marginTop="@dimen/dp_40"
                        android:background="@drawable/head_defaut" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginTop="@dimen/dp_40"
                        android:layout_toRightOf="@+id/ivHead"
                        android:text="安徽东阳矿业科技有限公司"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_15" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignBottom="@+id/ivHead"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_toRightOf="@+id/ivHead"
                        android:text="交易200  好评率89%"
                        android:textColor="@color/color_9"
                        android:textSize="@dimen/sp_12" />

                    <Button
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/dp_26"
                        android:layout_alignParentRight="true"
                        android:layout_alignParentBottom="true"
                        android:background="@drawable/bg_btn"
                        android:paddingLeft="@dimen/dp_4"
                        android:paddingRight="@dimen/dp_4"
                        android:text="联系货主"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_12" />


                </RelativeLayout>
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginRight="@dimen/dp_15"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/dp_8">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:padding="@dimen/dp_16">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="豫A87SF9"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:text="16米/30吨"
                        android:textColor="@color/color_01"
                        android:textSize="@dimen/sp_14" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:text="重型栏板半挂车"
                        android:textColor="@color/color_01"
                        android:textSize="@dimen/sp_14" />


                </RelativeLayout>
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginRight="@dimen/dp_15"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/dp_8">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:padding="@dimen/dp_16">


                    <TextView
                        android:id="@+id/tvTime"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="12-07 16:00-20:00卸货，"
                        android:textColor="@color/main_red"
                        android:textSize="@dimen/sp_15" />

                    <TextView
                        android:id="@+id/tvType"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_14"
                        android:layout_toRightOf="@+id/tvTime"
                        android:text="一装一卸"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_15" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_1"
                        android:layout_below="@+id/tvTime"
                        android:layout_marginTop="@dimen/dp_14"
                        android:background="@color/color_e5" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recycler"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/tvTime"
                        android:layout_marginTop="@dimen/dp_33" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/recycler"
                        android:layout_marginTop="@dimen/dp_6"
                        android:background="@drawable/shape_gray_5"
                        android:orientation="horizontal">

                        <RelativeLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:padding="@dimen/dp_15">

                            <TextView
                                android:id="@+id/tvLoadDis"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:gravity="center"
                                android:text="122.5km"
                                android:textColor="@color/black"
                                android:textSize="@dimen/sp_16"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@+id/tvLoadDis"
                                android:layout_marginTop="@dimen/dp_5"
                                android:gravity="center"
                                android:text="距装货地约"
                                android:textColor="@color/color_9"
                                android:textSize="@dimen/sp_12"
                                android:textStyle="bold" />

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="@dimen/dp_12"
                                android:layout_toRightOf="@+id/tvLoadDis"
                                android:gravity="center"
                                android:orientation="vertical">

                                <ImageView
                                    android:layout_width="@dimen/dp_14"
                                    android:layout_height="@dimen/dp_14"
                                    android:background="@drawable/icon_go" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_6"
                                    android:text="去装货地"
                                    android:textColor="@color/main_blue"
                                    android:textSize="@dimen/dp_9" />
                            </LinearLayout>

                        </RelativeLayout>

                        <View
                            android:layout_width="@dimen/dp_1"
                            android:layout_height="@dimen/dp_24"
                            android:layout_gravity="center_vertical"
                            android:background="@color/color_c" />

                        <RelativeLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:padding="@dimen/dp_15">

                            <TextView
                                android:id="@+id/tvUnloadDis"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:gravity="center"
                                android:text="122.5km"
                                android:textColor="@color/black"
                                android:textSize="@dimen/sp_16"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@+id/tvUnloadDis"
                                android:layout_marginTop="@dimen/dp_5"
                                android:gravity="center"
                                android:text="预估里程"
                                android:textColor="@color/color_9"
                                android:textSize="@dimen/sp_12"
                                android:textStyle="bold" />

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="@dimen/dp_12"
                                android:layout_toRightOf="@+id/tvUnloadDis"
                                android:gravity="center"
                                android:orientation="vertical">

                                <ImageView
                                    android:layout_width="@dimen/dp_14"
                                    android:layout_height="@dimen/dp_14"
                                    android:background="@drawable/icon_route" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_6"
                                    android:text="查看路线"
                                    android:textColor="@color/main_blue"
                                    android:textSize="@dimen/dp_9" />
                            </LinearLayout>

                        </RelativeLayout>
                    </LinearLayout>
                </RelativeLayout>
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginRight="@dimen/dp_15"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/dp_8">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:padding="@dimen/dp_16">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="收货方"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/tvCom"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_40"
                        android:text="安徽东阳矿业科技有限公司"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_15" />


                </RelativeLayout>
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginRight="@dimen/dp_15"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/dp_8">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:paddingTop="@dimen/dp_16">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingLeft="@dimen/dp_16"
                        android:text="车货信息"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/tvCarTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_46"
                        android:paddingLeft="@dimen/dp_16"
                        android:text="车辆"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_15" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignBottom="@+id/tvCarTitle"
                        android:layout_alignParentRight="true"
                        android:layout_marginTop="@dimen/dp_40"
                        android:paddingRight="@dimen/dp_16"
                        android:text="整车 4.2/6.2/6.8 米 高栏/厢式"
                        android:textColor="@color/main_red"
                        android:textSize="@dimen/sp_15" />

                    <TextView
                        android:id="@+id/tvGoodsTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/tvCarTitle"
                        android:layout_marginTop="@dimen/dp_18"
                        android:paddingLeft="@dimen/dp_16"
                        android:text="货物"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_15" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignBottom="@+id/tvGoodsTitle"
                        android:layout_alignParentRight="true"
                        android:layout_marginTop="@dimen/dp_40"
                        android:paddingRight="@dimen/dp_16"
                        android:text="钢铁，1吨，螺纹钢"
                        android:textColor="@color/main_red"
                        android:textSize="@dimen/sp_15" />

                    <TextView
                        android:id="@+id/tvNotesTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/tvGoodsTitle"
                        android:layout_marginTop="@dimen/dp_18"
                        android:paddingLeft="@dimen/dp_16"
                        android:text="备注"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_15" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignBottom="@+id/tvNotesTitle"
                        android:layout_alignParentRight="true"
                        android:layout_marginTop="@dimen/dp_40"
                        android:paddingRight="@dimen/dp_16"
                        android:text="下雨天，注意防水防锈，回单上传"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_15" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_32"
                        android:layout_below="@+id/tvNotesTitle"
                        android:layout_marginTop="@dimen/dp_18"
                        android:background="@drawable/shape_bottom_5"
                        android:gravity="left|center_vertical"
                        android:paddingLeft="@dimen/dp_15"
                        android:text="请根据车辆运输能力合理选择货源承接，避免超限超载。"
                        android:textColor="@color/main_red"
                        android:textSize="@dimen/sp_10" />


                </RelativeLayout>
            </androidx.cardview.widget.CardView>


            <View
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_10"
                android:background="@android:color/transparent" />
        </LinearLayout>


    </androidx.core.widget.NestedScrollView>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_74"
        android:gravity="center_vertical"
        android:paddingLeft="@dimen/dp_14"
        android:paddingTop="@dimen/dp_9"
        android:paddingRight="@dimen/dp_14"
        android:paddingBottom="@dimen/dp_9">

        <TextView
            android:id="@+id/tvFreight"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="2000元"
            android:textColor="@color/main_red"
            android:textSize="@dimen/sp_22"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/tvFreight"
            android:layout_marginTop="@dimen/dp_5"
            android:text="所得运费"
            android:textColor="@color/color_9"
            android:textSize="@dimen/sp_12" />


        <Button
            android:id="@+id/btnLeft"
            android:layout_width="@dimen/dp_120"
            android:layout_height="@dimen/dp_36"
            android:layout_centerVertical="true"
            android:layout_toLeftOf="@+id/btnRight"
            android:background="@drawable/shape_btn_empty_bg"
            android:text="联系装货人"
            android:textColor="@color/main_red"
            android:textSize="@dimen/sp_15" />

        <Button
            android:id="@+id/btnRight"
            android:layout_width="@dimen/dp_120"
            android:layout_height="@dimen/dp_36"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginLeft="@dimen/dp_10"
            android:background="@drawable/bg_btn"
            android:text="立即卸货"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_15" />
    </RelativeLayout>
</LinearLayout>